searchData={"content_type":"text/markdown","items":[{"doc":"Adapter backed by generic Ecto table.\nDesigned to be used as a highest level cache for data persistence.","ref":"Nebulex.Adapters.Ecto.html","title":"Nebulex.Adapters.Ecto","type":"module"},{"doc":"","ref":"Nebulex.Adapters.Ecto.html#module-features","title":"Features - Nebulex.Adapters.Ecto","type":"module"},{"doc":"","ref":"Nebulex.Adapters.Ecto.html#delete/3","title":"Nebulex.Adapters.Ecto.delete/3","type":"function"},{"doc":"","ref":"Nebulex.Adapters.Ecto.html#do_execute/4","title":"Nebulex.Adapters.Ecto.do_execute/4","type":"function"},{"doc":"","ref":"Nebulex.Adapters.Ecto.html#do_put/6","title":"Nebulex.Adapters.Ecto.do_put/6","type":"function"},{"doc":"","ref":"Nebulex.Adapters.Ecto.html#do_put_all/4","title":"Nebulex.Adapters.Ecto.do_put_all/4","type":"function"},{"doc":"","ref":"Nebulex.Adapters.Ecto.html#execute/4","title":"Nebulex.Adapters.Ecto.execute/4","type":"function"},{"doc":"","ref":"Nebulex.Adapters.Ecto.html#expire/3","title":"Nebulex.Adapters.Ecto.expire/3","type":"function"},{"doc":"","ref":"Nebulex.Adapters.Ecto.html#get/3","title":"Nebulex.Adapters.Ecto.get/3","type":"function"},{"doc":"","ref":"Nebulex.Adapters.Ecto.html#get_all/3","title":"Nebulex.Adapters.Ecto.get_all/3","type":"function"},{"doc":"","ref":"Nebulex.Adapters.Ecto.html#has_key?/2","title":"Nebulex.Adapters.Ecto.has_key?/2","type":"function"},{"doc":"","ref":"Nebulex.Adapters.Ecto.html#in_transaction?/1","title":"Nebulex.Adapters.Ecto.in_transaction?/1","type":"function"},{"doc":"","ref":"Nebulex.Adapters.Ecto.html#put/6","title":"Nebulex.Adapters.Ecto.put/6","type":"function"},{"doc":"","ref":"Nebulex.Adapters.Ecto.html#put_all/5","title":"Nebulex.Adapters.Ecto.put_all/5","type":"function"},{"doc":"","ref":"Nebulex.Adapters.Ecto.html#stream/3","title":"Nebulex.Adapters.Ecto.stream/3","type":"function"},{"doc":"","ref":"Nebulex.Adapters.Ecto.html#take/3","title":"Nebulex.Adapters.Ecto.take/3","type":"function"},{"doc":"","ref":"Nebulex.Adapters.Ecto.html#touch/2","title":"Nebulex.Adapters.Ecto.touch/2","type":"function"},{"doc":"","ref":"Nebulex.Adapters.Ecto.html#transaction/3","title":"Nebulex.Adapters.Ecto.transaction/3","type":"function"},{"doc":"","ref":"Nebulex.Adapters.Ecto.html#ttl/2","title":"Nebulex.Adapters.Ecto.ttl/2","type":"function"},{"doc":"","ref":"Nebulex.Adapters.Ecto.html#update_counter/6","title":"Nebulex.Adapters.Ecto.update_counter/6","type":"function"},{"doc":"# Nebulex.Adapters.Ecto\n\nExtremely simple Ecto Postgres adapter for Nebulex Cache library.\nDesigned to be used as the last level adapter inside multilevel cache.\n\nThis adapter implements:\n1. Basic key-value cache interface.\n2. Cache transactions.\n3. Basic queries without patterns.\n\nCache eviction strategy is LRW or LRU based on the last touched timestamp.","ref":"readme.html","title":"Nebulex.Adapters.Ecto","type":"extras"},{"doc":"In `mix.exs`:\n```elixir\ndefp deps do\n  [\n    {:nebulex_adapters_ecto, \"~> 1.0\"}\n  ]\nend\n```","ref":"readme.html#installation","title":"Installation - Nebulex.Adapters.Ecto","type":"extras"},{"doc":"#","ref":"readme.html#setup","title":"Setup - Nebulex.Adapters.Ecto","type":"extras"},{"doc":"In your `runtime.exs`:\n```elixir\nconfig :my_app, MyApp.Cache,\n  # Available strategies are LRW and LRU\n  strategy: :lrw,\n\n  # Repository to be used to access table with cache\n  repo: MyApp.Repo,\n\n  # The table as a string (or Schema) which will hold cache data\n  table: \"cache_table\",\n\n  # Maximum amount of data present in the table (in rows)\n  max_amount: 1000,\n\n  # Timeout of garbage collection in milliseconds\n  gc_timeout: :timer.hours(2)\n```\n\n#","ref":"readme.html#configuration","title":"Configuration - Nebulex.Adapters.Ecto","type":"extras"},{"doc":"The most simple migration for cache table would look like this:\n\n```elixir\ndefmodule Nebulex.Adapters.EctoTest.Repo.Migrations.CreateCacheTable do\n  use Ecto.Migration\n\n  def change do\n    create table \"cache_table\" do\n      add :key, :binary, primary_key: true\n      add :value, :binary\n      add :touched_at, :bigint\n      add :ttl, :integer\n    end\n\n    create unique_index(\"cache_table\", :key)\n  end\nend\n```\n\nHowever, feel free to create your own indexes. For example, to speed up\ngarbage collection, I'd suggest using `touched_at + ttl` btree index.","ref":"readme.html#table","title":"Table - Nebulex.Adapters.Ecto","type":"extras"},{"doc":"# Changelog","ref":"changelog.html","title":"Changelog","type":"extras"},{"doc":"First usable version!","ref":"changelog.html#1-0-0","title":"1.0.0 - Changelog","type":"extras"}]}